Subject: bug#21397: 24.5; outline-minor-mode / python-mode: hides decorator

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 27 May 2021 00:35:27 +0200

Daniel Hornung <[email-masked]> writes:

> When I hide the body of a method, everything until the next "def ..."
> line is hidden, including decorators which might belong to that next def
> line.  See the following example:
>
> class A:
>     def foo:
>         pass
>
>     @foo
>     def bar:
>         pass
>
> When I do `hide-subtree' on the "def foo:" line, the result is:
>
> class A:
>     def foo:...
>     def bar:
>         pass
>
> I would have expected that also the "@foo" line should still be visible,
> and at most be hidden when hiding bar's subtree.

I can confirm that this problem is still present in Emacs 28.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no